<div align="center">
<h1>PocketDhamma</h1>

<p>PocketDhamma is a lightweight, static mobile app built with Flutter for offline reading of the <i>Dhammapada</i>.</p>
<br/>
<img src="fastlane/metadata/android/en-US/images/icon.png" alt="logo" width="256">
<br/>
<br/>
<a href="https://apt.izzysoft.de/packages/com.s4nj1th.pocket_dhamma" target="_blank">
<img src="https://img.shields.io/endpoint?url=https://apt.izzysoft.de/fdroid/api/v1/shield/com.s4nj1th.pocket_dhamma&label=IzzyOnDroid" alt="IzzyOnDroid badge">
</a>
<br/>
</div>

## Features

- **Offline Support**
  Access multiple translations of the Dhammapada without requiring an internet connection.

- **Comprehensive Search**
  Perform full-text searches across selected translations to locate specific verses efficiently.

- **Minimalist Interface**
  Focused on readability and clarity through a clean, distraction-free design.

- **Dynamic Theming**
  Implements Material 3 (Material You) principles, including adaptive light and dark modes.

- **System-Integrated Styling**
  Applies dynamic color theming for seamless integration with system-level aesthetics.

- **Cross-Platform Compatibility**
  Built for consistent performance and appearance on both Android and iOS platforms.

## Screenshots

<div style="display: flex; flex-wrap: wrap; justify-content: center; gap: 6px; margin-top: 1rem;" align="center">
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/1.png" alt="Home" width="200"
       style="border-radius: 6px; box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);" />
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/2.png" alt="Verses" width="200"
       style="border-radius: 6px; box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);" />
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/3.png" alt="Chapters" width="200"
       style="border-radius: 6px; box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);" />
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/4.png" alt="Bookmarks" width="200"
       style="border-radius: 6px; box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);" />
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/5.png" alt="Search" width="200"
       style="border-radius: 6px; box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);" />
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/6.png" alt="History" width="200"
       style="border-radius: 6px; box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);" />
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/7.png" alt="Settings" width="200"
       style="border-radius: 6px; box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);" />
</div>

## Installation

You can install PocketDhamma by downloading the latest APK from the [Releases](https://github.com/s4nj1th/pocket-dhamma/releases) section, or by getting it via the [IzzyOnDroid repository](https://apt.izzysoft.de/packages/com.s4nj1th.pocket_dhamma) on F-Droid.

Soon to be published on the Google Play Store.


## License

**PocketDhamma** is licensed under the [GPLv3](https://www.gnu.org/licenses/gpl-3.0.en.html).
Translations used have separate licenses—see `assets/translations/README.md` for details.

## Support

For questions or feedback, reach out to me:

- Email: sanjith.develops@gmail.com
- Twitter (X): [@s4nj1th](https://x.com/s4nj1th)
- BlueSky: [@s4nj1th.bsky.social](https://bsky.app/profile/s4nj1th.bsky.social)
